Index: uspace/app/bdsh/cmds/modules/cat/cat.c
===================================================================
--- uspace/app/bdsh/cmds/modules/cat/cat.c	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/cat/cat.c	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -82,5 +82,5 @@
 }
 
-unsigned int cat_file(const char *fname, size_t blen)
+static unsigned int cat_file(const char *fname, size_t blen)
 {
 	int fd, bytes = 0, count = 0, reads = 0;
Index: uspace/app/bdsh/cmds/modules/cat/cat.h
===================================================================
--- uspace/app/bdsh/cmds/modules/cat/cat.h	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/cat/cat.h	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -4,5 +4,5 @@
 /* Prototypes for the cat command, excluding entry points */
 
-extern unsigned int cat_file(const char *, size_t);
+static unsigned int cat_file(const char *, size_t);
 
 #endif /* CAT_H */
Index: uspace/app/bdsh/cmds/modules/help/help.c
===================================================================
--- uspace/app/bdsh/cmds/modules/help/help.c	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/help/help.c	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -50,5 +50,5 @@
 
 /* Just use a pointer here, no need for mod_switch */
-int is_mod_or_builtin(char *cmd)
+static int is_mod_or_builtin(char *cmd)
 {
 	int rc = HELP_IS_RUBBISH;
Index: uspace/app/bdsh/cmds/modules/help/help.h
===================================================================
--- uspace/app/bdsh/cmds/modules/help/help.h	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/help/help.h	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -3,5 +3,5 @@
 
 /* Prototypes for the help command (excluding entry points) */
-extern int is_mod_or_builtin(char *);
+static int is_mod_or_builtin(char *);
 
 #endif
Index: uspace/app/bdsh/cmds/modules/ls/ls.c
===================================================================
--- uspace/app/bdsh/cmds/modules/ls/ls.c	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/ls/ls.c	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -51,5 +51,5 @@
 static char *cmdname = "ls";
 
-unsigned int ls_scope(const char *path)
+static unsigned int ls_scope(const char *path)
 {
 	int fd;
@@ -71,5 +71,5 @@
 }
 
-void ls_scan_dir(const char *d, DIR *dirp)
+static void ls_scan_dir(const char *d, DIR *dirp)
 {
 	struct dirent *dp;
@@ -119,5 +119,5 @@
  * Now we just print basic DOS style lists */
 
-void ls_print_dir(const char *d)
+static void ls_print_dir(const char *d)
 {
 	printf("%-40s\t<DIR>\n", d);
@@ -126,5 +126,5 @@
 }
 
-void ls_print_file(const char *f)
+static void ls_print_file(const char *f)
 {
 	printf("%-40s\n", f);
Index: uspace/app/bdsh/cmds/modules/ls/ls.def
===================================================================
--- uspace/app/bdsh/cmds/modules/ls/ls.def	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/ls/ls.def	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -1,5 +1,5 @@
 {
 	"ls",
-	"The ls command",
+	"List files and directories",
 	&cmd_ls,
 	&help_cmd_ls,
Index: uspace/app/bdsh/cmds/modules/ls/ls.h
===================================================================
--- uspace/app/bdsh/cmds/modules/ls/ls.h	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/ls/ls.h	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -7,11 +7,9 @@
 #define LS_DIR   2
 
-/* Protoypes for non entry points, intrinsic to ls. Stuff like ls_scope()
- * is also duplicated in rm, while rm sort of duplicates ls_scan_dir().
- * TODO make some more shared functions and don't expose the stuff below */
-extern unsigned int ls_scope(const char *);
-extern void ls_scan_dir(const char *, DIR *);
-extern void ls_print_dir(const char *);
-extern void ls_print_file(const char *);
+
+static unsigned int ls_scope(const char *);
+static void ls_scan_dir(const char *, DIR *);
+static void ls_print_dir(const char *);
+static void ls_print_file(const char *);
 
 #endif /* LS_H */
Index: uspace/app/bdsh/cmds/modules/mkdir/mkdir.c
===================================================================
--- uspace/app/bdsh/cmds/modules/mkdir/mkdir.c	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/mkdir/mkdir.c	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -84,5 +84,5 @@
 
 /* This is kind of clunky, but effective for now */
-unsigned int
+static unsigned int
 create_directory(const char *path, unsigned int p)
 {
Index: uspace/app/bdsh/cmds/modules/mkdir/mkdir.def
===================================================================
--- uspace/app/bdsh/cmds/modules/mkdir/mkdir.def	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/mkdir/mkdir.def	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -1,5 +1,5 @@
 {
 	"mkdir",
-	"The mkdir command",
+	"Create new directories",
 	&cmd_mkdir,
 	&help_cmd_mkdir,
Index: uspace/app/bdsh/cmds/modules/mkdir/mkdir.h
===================================================================
--- uspace/app/bdsh/cmds/modules/mkdir/mkdir.h	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/mkdir/mkdir.h	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -4,5 +4,5 @@
 /* Prototypes for the mkdir command, excluding entry points */
 
-extern unsigned int create_directory(const char *, unsigned int);
+static unsigned int create_directory(const char *, unsigned int);
 #endif /* MKDIR_H */
 
Index: uspace/app/bdsh/cmds/modules/rm/rm.c
===================================================================
--- uspace/app/bdsh/cmds/modules/rm/rm.c	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/rm/rm.c	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -58,5 +58,5 @@
 };
 
-unsigned int rm_start(rm_job_t *rm)
+static unsigned int rm_start(rm_job_t *rm)
 {
 	rm->recursive = 0;
@@ -86,5 +86,5 @@
 }
 
-void rm_end(rm_job_t *rm)
+static void rm_end(rm_job_t *rm)
 {
 	if (NULL != rm->nwd)
@@ -100,5 +100,5 @@
 }
 
-unsigned int rm_recursive(const char *path)
+static unsigned int rm_recursive(const char *path)
 {
 	int rc;
@@ -115,5 +115,5 @@
 }
 
-unsigned int rm_single(const char *path)
+static unsigned int rm_single(const char *path)
 {
 	if (unlink(path)) {
@@ -124,5 +124,5 @@
 }
 
-unsigned int rm_scope(const char *path)
+static unsigned int rm_scope(const char *path)
 {
 	int fd;
Index: uspace/app/bdsh/cmds/modules/rm/rm.def
===================================================================
--- uspace/app/bdsh/cmds/modules/rm/rm.def	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/rm/rm.def	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -1,5 +1,5 @@
 {
 	"rm",
-	"The rm command",
+	"Remove files and directories",
 	&cmd_rm,
 	&help_cmd_rm,
Index: uspace/app/bdsh/cmds/modules/rm/rm.h
===================================================================
--- uspace/app/bdsh/cmds/modules/rm/rm.h	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/rm/rm.h	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -34,9 +34,9 @@
 
 /* Prototypes for the rm command, excluding entry points */
-extern unsigned int rm_start(rm_job_t *);
-extern void rm_end(rm_job_t *rm);
-extern unsigned int rm_recursive(const char *);
-extern unsigned int rm_single(const char *);
-extern unsigned int rm_scope(const char *);
+static unsigned int rm_start(rm_job_t *);
+static void rm_end(rm_job_t *rm);
+static unsigned int rm_recursive(const char *);
+static unsigned int rm_single(const char *);
+static unsigned int rm_scope(const char *);
 
 #endif /* RM_H */
Index: uspace/app/bdsh/cmds/modules/touch/touch.def
===================================================================
--- uspace/app/bdsh/cmds/modules/touch/touch.def	(revision 74965d2a10d31e1d5cabb27fcf0e17a3f3c257da)
+++ uspace/app/bdsh/cmds/modules/touch/touch.def	(revision b510d526c9ea91a276320012e20c9c7173bd8ff1)
@@ -1,5 +1,5 @@
 {
 	"touch",
-	"The touch command",
+	"Create files or update access times",
 	&cmd_touch,
 	&help_cmd_touch,
